#.TextEdit.Format


Alignment
p
i

Background
p
i

Color
p
i

Font
p
Font

#.TextEdit.Selection


Hide
m


RichText
p
s

Text
p
s

Length
r
i

Start
r
i

#Dial
Control
C
:Change
:


_DefaultEvent
C
s
Change
_DefaultSize
C
s
6,6
_Properties
C
s
*,MinValue=0,MaxValue=100,Step=1,PageStep=10,Wrap,Mark=True
_Similar
C
s
Slider
_new
m

(Parent)Container;
Mark
p
b

MaxValue
p
i

MinValue
p
i

PageStep
p
i

Step
p
i

Value
p
i

Wrap
p
b

#LCDNumber
Control
C
Binary
C
i
3
Decimal
C
i
1
Filled
C
i
1
Flat
C
i
2
Hexadecimal
C
i
0
Outline
C
i
0
_DefaultEvent
C
s
MouseDown
_DefaultSize
C
s
24,6
_Group
C
s
Deprecated
_Properties
C
s
*,Value,Digits{Range:1;64}=1,SmallDecimalPoint,Style{LCDNumber.Outline;Filled;Flat}=Outline,Mode{LCDNumber.Decimal;Hexadecimal;Binary}=Decimal,Border{Border.None;Plain;Sunken;Raised;Etched}
_Similar
C
s
Label
_new
m

(Parent)Container;
Border
p
i

Digits
p
i

Mode
p
i

SmallDecimalPoint
p
b

Style
p
i

Value
p
f

Overflow
r
b

#TextEdit
Control
C
:Change
:


:Cursor
:


_DefaultEvent
C
s
Change
_DefaultSize
C
s
16,16
_Properties
C
s
*,ReadOnly,Wrap,Border=True,ScrollBar{Scroll.*}=Both
_Similar
C
s
TextArea
Clear
m


Copy
m


Cut
m


EnsureVisible
m


Insert
m

(Text)s
Paste
m


Redo
m


Select
m

[(Start)i(Length)i]
SelectAll
m


ToIndex
m
i
(Pos)i
ToParagraph
m
i
(Pos)i
ToPos
m
i
(Paragraph)i(Index)i
Undo
m


Unselect
m


_new
m

(Parent)Container;
Border
p
b

Index
p
i

Paragraph
p
i

Pos
p
i

ReadOnly
p
b

RichText
p
s

ScrollBar
p
i

ScrollX
p
i

ScrollY
p
i

Text
p
s

Wrap
p
b

Format
r
.TextEdit.Format

Selected
r
b

Selection
r
.TextEdit.Selection

TextHeight
r
i

TextWidth
r
i

